#include "Strukturen.h"

// Inhalt der SpielerTeamStruktur Struktur aus trukturen.h
	// Konstruktor
SpielerTeamStruktur::SpielerTeamStruktur()
{
	spielerAnzahl = 0;
	teamAnzahl = 0;
	spielerFarbe = new Array< int >();
	teamFarbe = new Array< int >();
	teamName = new RCArray< Text >();
	teamGröße = new Array< int >();
	ref = 1;
}

// Destruktor
SpielerTeamStruktur::~SpielerTeamStruktur()
{
	spielerFarbe->release();
	teamFarbe->release();
	teamName->release();
	teamGröße->release();
}

// Reference Counting
SpielerTeamStruktur *SpielerTeamStruktur::getThis()
{
	ref++;
	return this;
}

SpielerTeamStruktur *SpielerTeamStruktur::release()
{
	ref--;
	if( !ref )
		delete this;
	return 0;
}